WebEdit Contents

This Help file is under construction and is being updated frequently.  You can download the latest version of this Help file from http://www.thegroup.net/webedit/wehelp.zip.

About WebEdit

Copyright notice, registration information,
license agreement, etc.

Reference Information

Information about HTML, tags, attributes,
and the various versions of HTML

Learning HTML

Finding out more about
Hypertext Markup Language


About WebEdit

Copyright Notice

WebEdit is Copyright © 1995, KnowledgeWorks, Inc.  All Rights Reserved.

Registration Information

The registration fee for WebEdit 1.0 is US$99.95.  Call for information on bulk licensing discounts.  You can register by phone, mail, email or online if your Web browser supports HTML forms.  You can pay by check, money order or credit card.  We accept Visa or MasterCard.

To register by phone or mail, please call or write to:

KnowledgeWorks, Inc.
2251 San Diego Avenue, Suite A-141
San Diego, CA  92110
USA

Phone: (619) 220-8026
Fax: (619) 220-8324

If you prefer to register by email, you may send your name, address, telephone number, email address, credit card number and expiration date to either of the following addresses.

Internet: webedit@thegroup.net
CompuServe: 76100,57

By registering, you will receive a software key to "unlock" the software and eliminate the 30-day expiration notice.  You will also receive priority online technical support, free minor updates, and discounts on major updates.

Where to Find Our Shareware

Our shareware is available on the World Wide Web from http://www.thegroup.net or by anonymous ftp at ftp://ftp.thegroup.net.  In addition, we upload our shareware to popular sites on the Internet such as sunsite.unc.edu, and the Internet and Windows Shareware forums on CompuServe.  For an up-to-date list of sites, check the WebEdit FAQ (frequently asked questions) list at http://www.thegroup.net/webedit/wefaq.htm.

License Agreement

GRANT.  Subject to the provisions contained herein, KnowledgeWorks, Inc. (herein "KWI") hereby grants you a non-exclusive license to use its accompanying proprietary software product ("Software") free of charge if your use of the Software is for  the purpose of evaluating whether to purchase an ongoing license to the Software. You may evaluate the software for not more than 30 days.  At the end of 30 days you must purchase a license in order to continue using the Software.  If you do not fit within the description above, a license fee is due to KWI and no license is granted herein. If you are using a free version of the Software, you will not be entitled to technical support.

SOFTWARE AND DOCUMENTATION.  KWI shall furnish the Software to you electronically or on media in machine-readable object code form.  If you receive your first copy of the Software electronically, and a second copy on media, the second copy may be used for backup and archive purposes only.  This license does not grant you any right to any enhancement or update to the Software and Documentation. Enhancements and updates, if available, may be obtained by you at KWI's then-current standard pricing, terms, and conditions.

RESTRICTED USE.  You may not lend, rent, lease or otherwise transfer the Software.  The Software is protected by the copyright laws of the United States and international copyright treaties.

TITLE.  Title, ownership rights, and intellectual property rights in and to the Software and Documentation shall remain in KWI and/or its suppliers.  This Agreement does not include the right to sublicense the Software and is personal to you and therefore may not be assigned (by operation of law or otherwise) or transferred without the prior written consent of KWI.  You acknowledge that the Software in source code form remains a confidential trade secret of KWI and/or its suppliers and therefore you agree not to attempt to decipher, decompile, disassemble or reverse engineer the Software or allow others to do so, except to the extent applicable laws specifically prohibit such restriction.  You further agree not to modify or create derivative works of the Software.

CONTENT.  Title, ownership rights, and intellectual property rights in and to the content accessed through the Software is the property of the applicable content owner and may be protected by applicable copyright or other law.  This License gives you no rights to such content.

DISCLAIMER OF WARRANTY.  Since the Software is provided free of charge, the Software is provided on an "AS IS" basis, without warranty of any kind, including without limitation the warranties of merchantability, fitness for a particular purpose and non-infringement.  The entire risk as to the quality and performance of the Software is borne by you. Should the Software prove defective, you and not KWI assume the entire cost of any service and repair.

This disclaimer of warranty constitutes an essential part of the agreement.  SOME STATES DO NOT ALLOW EXCLUSIONS OF AN IMPLIED WARRANTY, SO THIS DISCLAIMER MAY NOT APPLY TO YOU AND YOU MAY HAVE OTHER LEGAL RIGHTS THAT VARY FROM STATE TO STATE OR BY JURISDICTION.

LIMITATION OF LIABILITY.  UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, TORT, CONTRACT, OR OTHERWISE, SHALL KWI OR ITS SUPPLIERS OR RESELLERS BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES.  IN NO EVENT WILL DTG BE LIABLE FOR ANY DAMAGES IN EXCESS OF KWI'S LIST PRICE FOR A LICENSE TO THE SOFTWARE, EVEN IF KWI SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY.  THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.  FURTHERMORE, SOME STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION AND EXCLUSION MAY NOT APPLY TO YOU.

EXPORT CONTROLS.  You may not download or otherwise export or reexport the Software or any underlying information or technology except in full compliance with all United States and other applicable laws and regulations.  In particular, but without limitation, none of the Software or underlying information or technology may be downloaded or otherwise exported or reexported (i) into (or to a national or resident of) Cuba, Haiti, Iraq, Libya, Yugoslavia, North Korea, Iran, Syria or any other country to which the U.S. has embargoed goods; or (ii) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Commerce Department's Table of Deny Orders.  By downloading or using the Software, you are agreeing to the foregoing and you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country or on any such list.

TERMINATION.  Either party may terminate this Agreement immediately in the event of default by the other party.  Upon any termination of this Agreement, you shall immediately discontinue the use of the Software and shall within ten (10) days return to KWI all copies of the Software and Documentation.  You may also terminate this Agreement at any time by destroying the Software and Documentation and all copies thereof.  Your obligations to pay accrued charges and fees shall survive any termination of this Agreement.

MISCELLANEOUS.  This Agreement represents the complete and exclusive statement of the agreements concerning this license between the parties and supersedes all prior agreements and representations between them. It may be amended only by a writing executed by both parties.  THE ACCEPTANCE OF ANY PURCHASE ORDER PLACED BY YOU IS EXPRESSLY MADE CONDITIONAL ON YOUR ASSENT TO THE TERMS SET FORTH HEREIN, AND KWI AGREES TO FURNISH THE SOFTWARE AND DOCUMENTATION ONLY UPON THESE TERMS AND NOT THOSE CONTAINED IN YOUR PURCHASE ORDER.  If any provision of this Agreement is held to be unenforceable for any reason, such provision shall be reformed only to the extent necessary to make it enforceable, and such decision shall not affect the enforceability (i) of such provision under other circumstances or (ii) of the remaining provisions hereof under all circumstances.  Headings shall not be considered in interpreting this Agreement.  This Agreement shall be governed by and construed under California law as such law applies to agreements between California residents entered into and to be performed entirely within California, except as governed by Federal law.  This Agreement will not be governed by the United Nations Convention of Contracts for the International Sale of Goods, the application of which is hereby expressly excluded.

U.S. Government Restricted Rights.  Use, duplication or disclosure by the Government is subject to restrictions set forth in subparagraphs (a) through (d) of the Commercial Computer-Restricted Rights clause at FAR 52.227-19 when applicable, or in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013, and in similar clauses in the NASA FAR Supplement. Contractor/manufacturer is KnowledgeWorks, Inc., 2251 San Diego Avenue, Suite A-141, San Diego, California 92110, USA.

KnowledgeWorks, Inc.
2251 San Diego Avenue, Suite A-141
San Diego, CA 92110
USA
Phone: (619) 220-8026
Fax:   (619) 220-8324


WebEdit Reference

This Help file is under construction and is being updated continuously.  You can download the latest version of this Help file from http://www.thegroup.net/webedit/wehelp.zip.

HTML Tags

Document Structure Elements
Block Style Elements
Logical Font Style Elements
Physical Font Style Elements
Headings
List Elements
Miscellaneous Elements
Special Characters
Form Elements
Table Elements
Links / Anchors
Inline Images

Uniform Resource Locators (URLs)


Learning HTML

The WebEdit Home Page

While WebEdit can help you learn HTML (hypertext markup langauge), it is primarily designed to help those with an understanding of HTML by speeding up the process of creating documents.  Thus, WebEdit assumes that you already have a basic understanding of HTML.

If you need to learn HTML, or would like to expand your knowledge of the language, there are a great many HTML primers and tutorials available on the World Wide Web.  The WebEdit home page provides hotlinks to several of these.  You can connect to the WebEdit home page at:

http://www.thegroup.net/webedit/webedit.htm

Useful HTML Documents

Here are some useful places to learn more about HTML:

Introductory Documents

 A Beginner's Guide to HTML - http://www.ncsa.uiuc.edu/demoweb/html-primer.html

 How to Write HTML Files - http://www.ucc.ie/info/net/htmldoc.html

 Introduction to HTML - http://melmac.harris-atd.com/about_html.html

Style Guides

 Composing Good HTML - http://www.willamette.edu/html-composition/strict-html.html

 CERN's style guide for online hypertext  - http://info.cern.ch/hypertext/WWW/Provider/Style/Introduction.html

Reference Documents

 The HTML Quick Reference Guide - http://kuhttp.cc.ukans.edu/lynx_help/HTML_quick.html

 The Official HTML Specification - http://info.cern.ch/hypertext/WWW/MarkUp/MarkUp.html

 HTML 2 Specification - http://www.w3.org/hypertext/WWW/MarkUp/HTML.html

 A Description of SGML - http://info.cern.ch/hypertext/WWW/MarkUp/SGML.html

 Mosaic for X 2.0 Fill-Out Form Support - http://www.ncsa.uiuc.edu/SDG/Software/Mosaic/Docs/fill-out-forms/overview.html


Document Structure Elements

WebEdit supports the following document structure elements:

Base
Body
Comment
Document Type
Head
HTML
Is Index
Next ID
Title


Base Element

Description

This element allows the URL of the document itself to be recorded in situations in which the document may be read out of context. URLs within the document may be in a "partial" form relative to this base address.

Where the base address is not specified, the reader will use the URL it used to access the document to resolve any relative URLs.

Attributes

HREF - a URL

Example

<BASE HREF="http://www.thegroup.net/webedit/webedit.htm">


Body Element

Description

The Body element contains all the information which is part of the document, as opposed information about the document which is in the Head.

The elements within the Body element are in the order in which they should be presented to the reader. Place the <BODY> and </BODY> tags above and below the body of the text (not including the Head) of your HTML document.

Status

Basic <BODY>...</BODY> element is HTML 1.

Attributes (see below) are proposed attributes in the HTML 3 draft specification.

Attributes

The following attributes are part of the HTML 3 draft specification and are supported by NetScape 1.1.

BACKGROUND - A URL specifying an image to be used as background "wallpaper" for the document.  This image is downloaded by the browser before the document is displayed so it is recommended that background images be kept as small as possible.
BGCOLOR - A background color for the document, specified in hexadecimal RGB in the form "#RRGGBB".  For example, "#FF0000" is pure bright Red, "#'00FF00" is pure bright Green and "#0000FF" is pure bright Blue.
TEXT - A color for the main text of the document, in the same format as the BGCOLOR attribute.
LINK - A color for hypertext links in the document, in the same format as the BGCOLOR attribute.
VLINK - A color for the visited links in the document, in the same format as the BGCOLOR attribute.
ALINK - A color for active links in the document, in the same format as the BGCOLOR attribute.

Example

<HTML>

<HEAD>

<TITLE>Page Title</TITLE>

</HEAD>

<BODY>

Add body text here.

</BODY>

</HTML>

Here is an example of a Body tag that includes a background image and text colors.

<BODY BACKGROUND="myimage.gif" BGCOLOR="#808080" TEXT="#FFFFFF" LINK="#FFFF00" VLINK="#0000FF">

Add body text here.

</BODY>


Comment Element

Description

This topic is incomplete.

Status

HTML 2

Attributes

Example

<!-- This is a comment -->


Document Type Element

Description

This topic is incomplete.

Status

Attributes

Example

<!DOCTYPE HTML>


Head Element

Description

The Head element contains all information about the document in general. It contains HTML elements that describe the document's title, usage and relationship with other documents.  It does not contain any text which is part of the document (this is in the Body). Within the Head element, only certain elements are allowed.

Attributes

None

Example

<HTML>

<HEAD>

<TITLE>Page Title</TITLE>

</HEAD>

<BODY>

Add body text here.

</BODY>

</HTML>


HTML Element

Description

The HTML identifier defines the document as containing HTML elements. It contains only the Head and Body elements.

Status

HTML 1

Attributes

None

Example

<HTML>

<HEAD>

<TITLE>Page Title</TITLE>

</HEAD>

<BODY>

Add body text here.

</BODY>

</HTML>


Is Index Element

Description

This element informs the reader that the document is an index document. As well as reading it, the reader may use a keyword search.

The node may be queried with a keyword search by suffixing the node address with a question mark, followed by a list of keywords separated by plus signs.

Note that this tag is normally generated automatically by a server. If it is added by hand to an HTML document, then the client will assume that the server can handle a search on the document. Obviously the server must have this capability for it to work: simply adding <ISINDEX> in the document is not enough to make searches happen if the server does not have a search engine!

Status

HTML 1

Attributes

None

Example

<ISINDEX>


Next ID Element

Description

This tag takes a single attribute which is the number of the next document-wide numeric identifier to be allocated.

When modifying a document, old anchor ids should not be reused, as there may be references stored elsewhere which point to them. This is read and generated by hypertext editors. Human writers of HTML usually use mnemonic alphabetical identifiers. Browser software may ignore this tag.

Status

HTML 1

Attributes

N - number of the next document-wide numeric identifier to be allocated.

Example

<NEXTID N=27>


Title Element

Description

The title of a document is specified by the TITLE element. The TITLE element should occur in the HEAD of the document.

There may only be one title in any document. It should identify the content of the document in a fairly wide context.

The title is not part of the text of the document, but is a property of the whole document. It may not contain anchors, paragraph marks, or highlighting. The title may be used to identify the node in a history list, to label the window displaying the node, etc. It is not normally displayed in the text of a document itself. Contrast titles with headings . The title should ideally be less than 64 characters in length. That is, many applications will display document titles in window titles, menus, etc where there is only limited room. Whilst there is no limit on the length of a title (as it may be automatically generated from other data), information providers are warned that it may be truncated if long.

Status

HTML 1

Attributes

None

Examples

Appropriate titles might be

<TITLE>Rivest and Neuman. 1989(b)</TITLE>

or

<TITLE>A Recipe for Maple Syrup Flap-Jack</TITLE>

or

<TITLE>Introduction -- AFS user's Guide</TITLE>

Examples of inappropriate titles are those which are only meaningful within context,

<TITLE>Introduction</TITLE>

or too long,

<TITLE>Remarks on the Quantum-Gravity effects of "Bean

Pole" diversification in Mononucleosis patients in Developing

Countries under Economic Conditions Prevalent during

the Second half of the Twentieth Century, and Related Papers:

a Summary</TITLE>


Block Style Elements

WebEdit supports the following block style elements:

Address
Block Quote
Byline
Center
Literal
Paragraph
Preformatted


Address Element

Description

This element is for address information, signatures, authorship, etc, often at the top or bottom of a document.

Typically, an address element is italic and/or right justified or indented. The address element implies a paragraph break. Paragraph marks within the address element do not cause extra white space to be inserted.

Status

HTML 1

Attributes

None

Examples

<ADDRESS><A HREF="Author.html">A.N.Other</A></ADDRESS>

<ADDRESS>

Newsletter editor<p>

J.R. Brown<p>

JimquickPost News, Jumquick, CT 01234<p>

Tel (123) 456 7890

</ADDRESS>


Block Quote Element

Description

The Blockquote element allows text quoted from another source to be rendered specially.

A typical rendering might be a slight extra left and right indent, and/or italic font. Blockquote causes a paragraph break, and typically a line or so of white space will be allowed between it and any text before or after it.

Single-font rendition may for example put a vertical line of ">" characters down the left margin to indicate quotation in the Internet mail style.

Status

HTML 1

Attributes

None

Example

I think it ends

<BLOCKQUOTE>Soft you now, the fair Ophelia. Nymph, in thy orisons,

be all my sins remembered.

</BLOCKQUOTE>

but I am not sure.


Byline Element

Description

The Byline element is used to denote authorship.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

<BYLINE>by Mark Twain</BYLINE>


Center Element

Description

The Center element is an extension supported by NetScape 1.x for centering blocks of text.

Status

This is a NetScape specific element.

Note

Not Recommended

The draft specification of HTML 3 instead uses the Align attribute of the Paragraph element (e.g., <P ALIGN=center>.  Since NetScape 1.1 supports the proposed HTML 3 syntax as well, we recommend using the Paragraph element with an Align attribute instead of the Center element.

Attributes

None

Example

This is an example of centering a line of text with NetScape's Center element:

<CENTER>

This text should appear in the horizontal center of the page.

</CENTER>

Here is an example of centering text in HTML 3:

<P ALIGN=center>

This text should appear in the horizontal center of the page.

</P>


Literal Element

Description

The Literal element works like the Preformatted element, except that it is rendered in a proportional font.

The ability to set tab stops in literal text makes it much easier to write filters that convert documents written on word processors into HTML 3. Tab stops can be set with the Tab element and apply for the scope of the Literal element.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

<LIT>

     <B>ROYAL TEA</B>

Today the Earl of Sandwich

  is having lunch with me,

and then His Highness, Earl Grey,

  is visiting for tea.

At dinnertime, the good Sir Loin

  will sit down at my table.

And Lady Fingers, for dessert,

  will come if she is able.

I think, of all the royalty

  who joined me as I ate,

the ones I liked the least of all

  were Count Your-Crumbs and Baron Plate.

  Copyright © 1995, Kenn Nesbitt

</LIT>


Paragraph Element

Description

Normal text is automatically wrapped by the browser at the current window margin and adapts to changes in window size. The text is generally shown in a proportional font.

HTML level 1 has only a <P> tag, but no </P> tag.  In HTML 2 and HTML 3 the P element acts as a container for the text between the start tag <P> and the end tag </P>. However, you don't need to give the end tag as it is implied by the context, e.g. the following <P> tag.

If you wish, you may think of the <P> tag as a paragraph separator. This works since HTML formally doesn't require you to wrap text up as paragraphs.

Status

Basic <P> tag is HTML 1.

Block Element <P>...</P> is HTML 2.

Attributes (see below) are proposed attributes in the HTML 3 draft specification.

Attributes

The following attributes are part of the current HTML 3 draft specification.

ID - An identifier for the current paragraph.
ALIGN - The alignment of the paragraph (e.g., left, right, justify, center or indent)
WRAP - Can be set to OFF to prevent automatic word-wrapping of text.

Example

<P>This is a regular paragraph</P>

<P ALIGN=center>This paragraph is centered.</P>


Preformatted Element

Description

The Preformatted text element is used for displaying computer output or plain text files.  It is usually rendered in a fixed-pitch font with carriage returns and spacing left intact.

Status

HTML 1

Attributes

None

Example

<PRE>

        A RED RED ROSE

         Robert Burns

O my Luve's like a red, red rose,

  Thats newly sprung in June;

O my Luve's like the melodie

  That's sweetly playd in tune. --

As fair art thou, my bonie lass,

  So deep in luve am I;

And I will love thee still, my Dear,

  Till a' the seas gang dry. --

Till a' the seas gang dry, my Dear,

  And the rocks melt wi' the sun;

I will love thee still, my Dear,

  While the sands o' life shall run. --

And fare thee weel, my only Luve!

  And fare thee weel a while!

And I will come again, my Luve,

  Tho' it were ten thousand mile!

</PRE>


Logical Font Style Elements

WebEdit supports the following logical font style (text formatting) elements:

Abbreviation
Acronym
Argument
Citation
Code
Defining Instance
Inline Quote
Person
Variable
Sample


Abbreviation Element

Description

The Abbreviation element is used for logically denoting abbreviations.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

<ABBREV>SW 100th St.</ABBREV>


Acronym Element

Description

The Acronym element is a proposed element in the draft specification of HTML 3.  It is used for logically denoting acronyms.  The Acronym element is not currently supported by any browsers.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

<ACRONYM>HTML</ACRONYM>


Argument Element

Description

The Argument element is used for logically denoting program function arguments.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

LPSTR lstrcpy(<ARG>lpszString1</ARG>, <ARG>lpszString2</ARG>);


Citation Element

Description

The Citation element is used to logically denote citations and is typically rendered in italic.

Status

HTML 1

Attributes

None

Example

<CITE>Hahn, Harley & Stout, Rick (1995),

<U>The Internet Yellow Pages, Second Edition</U>,

Osborne McGraw-Hill.</CITE>


Code Element

Description

The Code element is used to logically denote an inline example of program code and is typically rendered in a fixed pitch font.  This is a text formatting element and not a block formatting element.  To format multiple lines of code, use the Preformatted element.

Status

HTML 1

Attributes

None

Example

To copy a string, use the <CODE>LPSTR lstrcpy(lpszString1, lpszString2);</CODE> function.


Defining Instance Element

Description

The Defining Instance element is used to logically denote the defining instance of a term.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

Fear of computers is often called <DFN>technophobia</DFN>.


Inline Quote Element

Description

The Inline Quote element is used in place of double quotation marks to denote a short inline quotation.  For longer quotations, use the Block Quote element.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

As Tom Lehrer once said, <Q>Life is like a sewer; what you get out of it depends on what you put into it.</Q>


Person Element

Description

The Person element is used to logically denote a proper name.

Status

This is a proposed element in the draft specification of HTML 3.

Attributes

None

Example

"Green Eggs and Ham" was written by <PERSON>Dr. Suess</PERSON>.


Variable Element

Description

The Variable element is used to logically denote a variable name, and is typically rendered in italic.

Status

HTML 1

Attributes

None

Example

The variables <VAR>X</VAR> and <VAR>Y</VAR> represent a point on the grid.


Sample Element

Description

The Sample element is used to logically denote sample output or a sequence of literal characters.

Status

HTML 1

Attributes

None

Example

The report will have a title such as <SAMP>1995 Crop Report</SAMP>.